|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QSizeGrip Class Reference
[QtGui module]

The QSizeGrip class provides a resize handle for resizing top-level windows. More...

     #include <QSizeGrip>

Inherits QWidget.

- List of all members, including inherited members
- Qt 3 support members

### Public Functions

- QSizeGrip ( QWidget * parent )
- ~QSizeGrip ()

- 207 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Protected Functions

- virtual void mouseMoveEvent ( QMouseEvent * event )
- virtual void mousePressEvent ( QMouseEvent * event )
- virtual void paintEvent ( QPaintEvent * event )

- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice

### Additional Inherited Members

- 57 properties inherited from QWidget
- 1 property inherited from QObject
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 1 protected slot inherited from QWidget

## Detailed Description

The QSizeGrip class provides a resize handle for resizing top-level windows.

This widget works like the standard Windows resize handle. In the X11 version this resize handle generally works differently from the one provided by the system if the X11 window manager does not support necessary modern post-ICCCM specifications.

Put this widget anywhere in a widget tree and the user can use it to resize the top-level window or any widget with the Qt::SubWindow flag set. Generally, this should be in the lower right-hand corner. Note that QStatusBar already uses this widget, so if you have a status bar (e.g., you are using QMainWindow), then you don't need to use this widget explicitly.

On some platforms the size grip automatically hides itself when the window is shown full screen or maximised.

| A size grip widget at the bottom-right corner of a main window, shown in the Plastique widget style.

The QSizeGrip class inherits QWidget and reimplements the mousePressEvent() and mouseMoveEvent() functions to feature the resize functionality, and the paintEvent() function to render the size grip widget.

See also QStatusBar and QWidget::windowState().

## Member Function Documentation

### QSizeGrip::QSizeGrip ( QWidget * parent )

Constructs a resize corner as a child widget of the given parent.

### QSizeGrip::~QSizeGrip ()

Destroys this size grip.

### void QSizeGrip::mouseMoveEvent ( QMouseEvent * event ) `[virtual protected]`

Resizes the top-level widget containing this widget. The mouse move event is passed in the event parameter.

Reimplemented from QWidget.

### void QSizeGrip::mousePressEvent ( QMouseEvent * event ) `[virtual protected]`

Receives the mouse press events for the widget, and primes the resize operation. The mouse press event is passed in the event parameter.

Reimplemented from QWidget.

### void QSizeGrip::paintEvent ( QPaintEvent * event ) `[virtual protected]`

Paints the resize grip.

Resize grips are usually rendered as small diagonal textured lines in the lower-right corner. The paint event is passed in the event parameter.

Reimplemented from QWidget.